Package twisted :: Package names :: Module hosts :: Class Resolver

[frames | no frames]

## Class Resolver

    ResolverBase --+
                   |
       Versioned --+
                   |
                  Resolver

A resolver that services hosts(5) format files.

Method Summary
| `__init__(self, file, ttl)`
| `lookupAddress(self, name, timeout)`
| `lookupAllRecords(self, name, timeout)`
| `upgradeToVersion1(self)`
Inherited from ResolverBase
| ``_cbRecords`(self, (ans, auth, add), name, effort)`
| ``_lookup`(self, name, cls, type, timeout)`
| ``getHostByName`(self, name, timeout, effort)`
| ``lookupAddress6`(self, name, timeout)`
| ``lookupAFSDatabase`(self, name, timeout)`
| ``lookupAuthority`(self, name, timeout)`
| ``lookupCanonicalName`(self, name, timeout)`
| ``lookupHostInfo`(self, name, timeout)`
| ``lookupIPV6Address`(self, name, timeout)`
| ``lookupMailBox`(self, name, timeout)`
| ``lookupMailboxInfo`(self, name, timeout)`
| ``lookupMailExchange`(self, name, timeout)`
| ``lookupMailGroup`(self, name, timeout)`
| ``lookupMailRename`(self, name, timeout)`
| ``lookupNameservers`(self, name, timeout)`
| ``lookupNull`(self, name, timeout)`
| ``lookupPointer`(self, name, timeout)`
| ``lookupResponsibility`(self, name, timeout)`
| ``lookupService`(self, name, timeout)`
| ``lookupText`(self, name, timeout)`
| ``lookupWellKnownServices`(self, name, timeout)`
| ``lookupZone`(self, name, timeout)`
| ``query`(self, query, timeout)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 1
Inherited from ResolverBase
`NoneType` | `typeToMethod` = None
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:25 2004 | http://epydoc.sf.net